<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Task77</title>
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback" />
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css" />
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css" />
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css" />
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css" />
  <style>
    i {
      cursor: pointer;
    }
  </style>
</head>

<body>
  <div class="wrapper">
    <!-- Preloader -->
    <div class="preloader flex-column justify-content-center align-items-center">
      <img class="animation__shake" src="dist/img/AdminLTELogo.png" alt="AdminLTELogo" height="60" width="60" />
    </div>
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="#" class="nav-link">Home</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="#" class="nav-link">Contact</a>
        </li>
      </ul>

      <!-- Right navbar links -->
      <ul class="navbar-nav ml-auto">
        <!-- Navbar Search -->
        <li class="nav-item">
          <a class="nav-link" data-widget="navbar-search" href="#" role="button">
            <i class="fas fa-search"></i>
          </a>
          <div class="navbar-search-block">
            <form class="form-inline">
              <div class="input-group input-group-sm">
                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                  aria-label="Search" />
                <div class="input-group-append">
                  <button class="btn btn-navbar" type="submit">
                    <i class="fas fa-search"></i>
                  </button>
                  <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                    <i class="fas fa-times"></i>
                  </button>
                </div>
              </div>
            </form>
          </div>
        </li>

        <!-- Messages Dropdown Menu -->
        <li class="nav-item dropdown">
          <a class="nav-link" data-toggle="dropdown" href="#">
            <i class="far fa-comments"></i>
            <span class="badge badge-danger navbar-badge">3</span>
          </a>
          <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
            <a href="#" class="dropdown-item">
              <!-- Message Start -->
              <div class="media">
                <img src="dist/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle" />
                <div class="media-body">
                  <h3 class="dropdown-item-title">
                    Brad Diesel
                    <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                  </h3>
                  <p class="text-sm">Call me whenever you can...</p>
                  <p class="text-sm text-muted">
                    <i class="far fa-clock mr-1"></i> 4 Hours Ago
                  </p>
                </div>
              </div>
              <!-- Message End -->
            </a>
            <div class="dropdown-divider"></div>
            <a href="#" class="dropdown-item">
              <!-- Message Start -->
              <div class="media">
                <img src="dist/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3" />
                <div class="media-body">
                  <h3 class="dropdown-item-title">
                    John Pierce
                    <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                  </h3>
                  <p class="text-sm">I got your message bro</p>
                  <p class="text-sm text-muted">
                    <i class="far fa-clock mr-1"></i> 4 Hours Ago
                  </p>
                </div>
              </div>
              <!-- Message End -->
            </a>
            <div class="dropdown-divider"></div>
            <a href="#" class="dropdown-item">
              <!-- Message Start -->
              <div class="media">
                <img src="dist/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3" />
                <div class="media-body">
                  <h3 class="dropdown-item-title">
                    Nora Silvester
                    <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                  </h3>
                  <p class="text-sm">The subject goes here</p>
                  <p class="text-sm text-muted">
                    <i class="far fa-clock mr-1"></i> 4 Hours Ago
                  </p>
                </div>
              </div>
              <!-- Message End -->
            </a>
            <div class="dropdown-divider"></div>
            <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
          </div>
        </li>
        <!-- Notifications Dropdown Menu -->
        <li class="nav-item dropdown">
          <a class="nav-link" data-toggle="dropdown" href="#">
            <i class="far fa-bell"></i>
            <span class="badge badge-warning navbar-badge">15</span>
          </a>
          <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
            <span class="dropdown-item dropdown-header">15 Notifications</span>
            <div class="dropdown-divider"></div>
            <a href="#" class="dropdown-item">
              <i class="fas fa-envelope mr-2"></i> 4 new messages
              <span class="float-right text-muted text-sm">3 mins</span>
            </a>
            <div class="dropdown-divider"></div>
            <a href="#" class="dropdown-item">
              <i class="fas fa-users mr-2"></i> 8 friend requests
              <span class="float-right text-muted text-sm">12 hours</span>
            </a>
            <div class="dropdown-divider"></div>
            <a href="#" class="dropdown-item">
              <i class="fas fa-file mr-2"></i> 3 new reports
              <span class="float-right text-muted text-sm">2 days</span>
            </a>
            <div class="dropdown-divider"></div>
            <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link" data-widget="fullscreen" href="#" role="button">
            <i class="fas fa-expand-arrows-alt"></i>
          </a>
        </li>
      </ul>
    </nav>
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    <aside style="min-height: 100vh;" class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="info">
          <a href="#" class="d-block text-center">DEVCAMP120</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link active">
              <i class="nav-icon fas fa-th"></i>
              <p>
                Manage
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="./customer.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Customer</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./payment.html" class="nav-link ">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Payment</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./order.html" class="nav-link ">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Order</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./orderDetail.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>OrderDetail</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./product.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Product</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./productLine.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Product Line</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./employee.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Employee</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./office.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Office</p>
                </a>
              </li>
            </ul>
          </li>
          <!--  -->
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
  </div>
  <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Office</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Office</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <h2 style="text-align: center">Quản lý Office</h2>
        <div class="jumbotron container">
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="addressLine">AddressLine</label>
            </div>
            <div class="col-sm-9">
              <input type="text" id="inp-addressLine" name="addressLine" placeholder="addressLine" class="form-control" />
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="city">City</label>
            </div>
            <div class="col-sm-9">
              <input type="text" id="inp-city" name="city" placeholder="city" class="form-control" />
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="state">State</label>
            </div>
            <div class="col-sm-9">
              <input type="text" id="inp-state" name="state" placeholder="state" class="form-control" />
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="country">Country</label>
            </div>
            <div class="col-sm-9">
              <input type="text" id="inp-country" name="country" placeholder="country" class="form-control" />
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="territory">Territory</label>
            </div>
            <div class="col-sm-9">
              <input type="text" id="inp-territory" name="territory" placeholder="territory" class="form-control" />
            </div>
          </div>
          <div class="row form-group">
            <div class="col-sm-3">
              <label for="phone">Phone</label>
            </div>
            <div class="col-sm-9">
              <input type="text" id="inp-phone" name="phone" placeholder="phone" class="form-control" />
            </div>
          </div>
          <div class="row pull-right">
            <div class="col-sm-12 d-flex justify-content-around">
              <button class="btn btn-primary" id="btn-create-office">
                Create New Office
              </button>
            </div>
          </div>
        </div>
        <table class="table table-bordered table-striped table-hover text-center" id="office-table">
          <thead>
            <tr>
              <th>Office Id</th>
              <th>AddressLine</th>
              <th>City</th>
              <th>State</th>
              <th>Country</th>
              <th>Territory</th>
              <th>Phone</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody></tbody>
        </table>
        <!-- Modal -->
      <!-- Delete -->
      <div class="modal hide" id="modal-delete-office">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title text-danger">Xác nhận xóa office</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <h6 class="text-danger">Bạn có chác muốn xóa office</h6>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">
                Close
              </button>
              <button type="button" class="btn btn-danger" id="delete-office">
                Delete
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- Update -->
      <div class="modal hide" id="modal-update-office">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Update office</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="officeId">Office Id</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="inp-modal-officeId" placeholder="officeId" disabled class="form-control" />
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="addressLine">AddressLine</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="inp-modal-addressLine" name="addressLine" placeholder="addressLine" class="form-control" />
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="city">City</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="inp-modal-city" name="city" placeholder="city" class="form-control" />
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="state">State</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="inp-modal-state" name="state" placeholder="state" class="form-control" />
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="country">Country</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="inp-modal-country" name="country" placeholder="country" class="form-control" />
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="territory">Territory</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="inp-modal-territory" name="territory" placeholder="territory" class="form-control" />
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="phone">Phone</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="inp-modal-phone" name="phone" placeholder="phone" class="form-control" />
                </div>
              </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">
                Close
              </button>
              <button type="button" class="btn btn-success" id="update-office">
                Update
              </button>
            </div>
          </div>
        </div>
      </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
    <!-- /.content-wrapper -->
  </div>
  </div>
  <footer class="main-footer">
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong>
    All rights reserved.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.1.0
    </div>
  </footer>
  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="plugins/jquery-ui/jquery-ui.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- DataTables  & Plugins -->
  <script src="plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.js"></script>
  <script src="./src/office.js"></script>
</body>

</html>